Bug 146541 - Error activating XKB configuration for Finnish keyboard
Error activating XKB configuration for Finnish keyboard
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 07:57 EST by Jukka Ketelaars
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: xorg-x11-6.8.1.903-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-30 11:50:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jukka Ketelaars 2005-01-29 07:57:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Please note that I'm aware this is similar to bug 139480. The
difference is that this is filed against development instead of fc3,
and used to work right up to the above mentioned release. Also,
setxkbmap fails for me, but apparently works in the other bug.

When I start xorg I get a popup with the text quoted below. The
keyboard works, but the mappings of the Finnish characters, and
particularly the AltGr combinations do not work.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1.902-7

How reproducible:
Always

Steps to Reproduce:
1. start xorg
    

Actual Results:  Popup with:

Error activating XKB configuration.
Probably internal X server problem.

X server version data:
The X.Org Foundation
60801902

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb

Expected Results:  Working keyboard.

Additional info:

# xprop -root | grep XKB

_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "fi", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "fi", "", ""

# gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb

 layouts = [fi]
 model = pc105
 overrideSettings = false
 options = []
 update_handlers = []

# setxkbmap fi

Error loading new keyboard description
Comment 1 Jukka Ketelaars 2005-01-30 11:50:44 EST
Fixed by xorg-x11-6.8.1.903-2

Note You need to log in before you can comment on or make changes to this bug.